package com.diagbot.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.LibraryInfoDTO;
import com.diagbot.entity.LibraryInfo;
import com.diagbot.vo.TermVo;

import java.util.List;

/**
 * <p>
 * 提示信息 服务类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface LibraryInfoService extends IService<LibraryInfo> {
//    public List<LibraryInfo> getLibraryInfor(QueryWrapper<LibraryInfo> wrapper);

    public IPage<LibraryInfoDTO> getAllConcept(Page page, LibraryInfoDTO libraryInfoDTO);
    public List<LibraryInfo> getLimboItems();
}
