package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.LibraryInfoDTO;
import com.diagbot.entity.LibraryInfo;
import com.diagbot.mapper.LibraryInfoMapper;
import com.diagbot.service.LibraryInfoService;
import com.diagbot.vo.TermVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 提示信息 服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
@Service
public class LibraryInfoServiceImpl extends ServiceImpl<LibraryInfoMapper, LibraryInfo> implements LibraryInfoService {
//    @Override
//    public List<LibraryInfo> getLibraryInfor(QueryWrapper<LibraryInfo> wrapper) {
//        return baseMapper.getLibraryInfo(wrapper);
//    }

    @Override
    public IPage<LibraryInfoDTO> getAllConcept(Page page, LibraryInfoDTO libraryInfoDTO) {
        return baseMapper.getAllConcept(page, libraryInfoDTO);
    }

    @Override
    public List<LibraryInfo> getLimboItems() { return baseMapper.getLimboItems(); }
}
